Bug 821247 - Review Request: fcitx-table-other - Other tables for Fcitx
Review Request: fcitx-table-other - Other tables for Fcitx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 10:00 EDT by Liang Suilong
Modified: 2012-12-10 23:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 23:27:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-05-13 10:00:34 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4074057
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-other.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-other-0.1.0-1.fc16.src.rpm
Description:
Fcitx-table-other is a fork of ibus-table-others for Fcitx,
provides additional tables.
Comment 1 Parag AN(पराग) 2012-05-15 05:14:09 EDT
Review:-
+ koji scratch build for f18 ->
http://koji.fedoraproject.org/koji/taskinfo?taskID=4074057

+ rpmlint on rpms gave
fcitx-table-other.src: W: spelling-error %description -l en_US ibus -> ibis, bus, i bus
fcitx-table-other.src: W: strange-permission fcitx-table-other.spec 0775L
fcitx-table-other.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-table-other-0.1.0.tar.xz HTTP Error 404: Not Found
fcitx-table-other.noarch: W: spelling-error %description -l en_US ibus -> ibis, bus, i bus
2 packages and 0 specfiles checked; 0 errors, 4 warnings.


+ Source verified with upstream as (sha1sum)
e3deab3d66f87321c1b1e71762e5a529eb2b324b  ../SOURCES/fcitx-table-other-0.1.0.tar.xz
e3deab3d66f87321c1b1e71762e5a529eb2b324b  fcitx-table-other-0.1.0.tar.xz


Suggestions:-
1) spec file got strange permissions. use "chmod 644 fcitx-table-other.spec" and then build srpm and use it to import in Fedora.

2) License is not clear. COPYING says GPLv3+ whereas compose and emoji tables are LGPLv2+ and LGPL
and spec then says GPLv2+
Comment 2 Liang Suilong 2012-05-22 12:47:27 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4094937
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-other.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-other-0.1.0-1.fc16.src.rpm

(In reply to comment #1)
> Review:-
> + koji scratch build for f18 ->
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4074057
> 
> + rpmlint on rpms gave
> fcitx-table-other.src: W: spelling-error %description -l en_US ibus -> ibis,
> bus, i bus
> fcitx-table-other.src: W: strange-permission fcitx-table-other.spec 0775L
> fcitx-table-other.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-table-other-0.1.0.tar.xz HTTP Error
> 404: Not Found
> fcitx-table-other.noarch: W: spelling-error %description -l en_US ibus ->
> ibis, bus, i bus
> 2 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> 
> + Source verified with upstream as (sha1sum)
> e3deab3d66f87321c1b1e71762e5a529eb2b324b 
> ../SOURCES/fcitx-table-other-0.1.0.tar.xz
> e3deab3d66f87321c1b1e71762e5a529eb2b324b  fcitx-table-other-0.1.0.tar.xz
> 
> 
> Suggestions:-
> 1) spec file got strange permissions. use "chmod 644 fcitx-table-other.spec"
> and then build srpm and use it to import in Fedora.

Fixed

> 
> 2) License is not clear. COPYING says GPLv3+ whereas compose and emoji
> tables are LGPLv2+ and LGPL
> and spec then says GPLv2+

I contacted with the author. He said the pacakges is a fork from ibus-table-others. I checked the spec file of ibus-table-others and it is under GPLv3. So I think fcitx-table-other is under GPLv3+ is OK.
Comment 3 Parag AN(पराग) 2012-05-24 01:01:47 EDT
Please see https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Upstream need to release README or any other file to say this tarball is released under GPLv3+.


Another thing remain to be fixed here.
The correct way to handle locale files is remove manually generation of %{name}.lang in spec file and use "%find_lang %{name}" at the end of %install section. See https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 4 Parag AN(पराग) 2012-05-24 01:28:28 EDT
Ok. you can ask upstream to mention in README that this tarball is released under GPLv3+ license.


APPROVED.
Comment 5 Liang Suilong 2012-05-24 12:35:18 EDT
New Package SCM Request
=======================
Package Name: fcitx-table-other
Short Description: Other Tables for Fcitx 
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 6 Gwyn Ciesla 2012-05-24 13:13:17 EDT
Git done (by process-git-requests).
Comment 7 Parag AN(पराग) 2012-06-05 23:57:18 EDT
any update here?
Comment 8 Parag AN(पराग) 2012-06-29 10:17:39 EDT
any update here?
Comment 9 Parag AN(पराग) 2012-07-09 01:51:58 EDT
Can you please build the package in fedora so that it will be available for testing?
Comment 10 Parag AN(पराग) 2012-07-20 04:52:43 EDT
liangsuilong,  
   If you are busy with your work then please allow me to request SCM for this package and build it in Fedora so that people can use this.
Comment 11 Fedora Update System 2012-07-25 12:49:40 EDT
fcitx-table-other-0.1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-table-other-0.1.0-1.fc16
Comment 12 Fedora Update System 2012-07-25 12:49:51 EDT
fcitx-table-other-0.1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-table-other-0.1.0-1.fc17
Comment 13 Fedora Update System 2012-07-25 23:55:31 EDT
fcitx-table-other-0.1.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Parag AN(पराग) 2012-12-10 23:27:44 EST
I suppose this can be closed as packages are already in repositories.

Note You need to log in before you can comment on or make changes to this bug.